> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/82.-requete-restaurer-les-evenements-dabonnement.md).

# 82. Requête : restaurer les événements d’abonnement

Il est toujours recommandé de pouvoir restaurer/vérifier les événements d'abonnement livrés par rapport à ceux produits. Par conséquent, GeoPard stocke l'historique de tous les événements d'abonnement produits pour les **12 derniers mois**.&#x20;

Les cas courants :&#x20;

* Mauvaise connexion Internet et événements non livrés
* Redéploiement de l'écouteur WebSocket
* Vérifier la cohérence entre les événements reçus et produits

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Filtres d'entrée pris en charge :

* `dateFrom` au format datetime ISO 8701 (ex : `"2023-05-25T12:49:00.000Z"`)
* `dateTo` au format datetime ISO 8701 (ex : `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` comme tableau d'UUID de « Ferme » à rechercher
* `fieldUuids` comme tableau d'UUID de « Parcelle » à rechercher&#x20;
* `userUuids` en tant que tableau d'UUID d'"Utilisateur" à rechercher
* `eventUuids` comme tableau d'UUID d'« Événement » d'abonnement

{% hint style="info" %}
Tous les filtres fonctionnent comme des opérateurs logiques **ET**.
{% endhint %}

{% hint style="info" %}
Chaque événement d'abonnement possède un attribut `executionDate` lié au moment d'envoi au format AWSDateTime compatible avec la DateTime ISO 8601.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/82.-requete-restaurer-les-evenements-dabonnement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
